Skip to main content
`Ctrl`+`K`

# PetscSectionGetChart

Returns the range [`pStart`, `pEnd`) in which points (indices) lie for this `PetscSection` on this MPI process

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetChart(PetscSection s, PetscInt *pStart, PetscInt *pEnd)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameters

- pStart - the first point

- pEnd - one past the last point

## See Also

PetscSection, `PetscSection`, `PetscSectionSetChart()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex18.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages